# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.95"
name = "hoomd-microstate"
version = "1.2.0"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Implement the Microstate type for hoomd-rs."
homepage = "https://glotzerlab.engin.umich.edu"
documentation = "https://hoomd-rs.readthedocs.io"
readme = "README.md"
keywords = [
    "molecular-dynamics",
    "monte-carlo",
    "simulation",
]
categories = ["science"]
license = "BSD-3-Clause"
repository = "https://github.com/glotzerlab/hoomd-rs"

[package.metadata.docs.rs]
rustdoc-args = [
    "--html-in-header",
    "katex.html",
]

[lib]
name = "hoomd_microstate"
path = "src/lib.rs"

[[test]]
name = "derive_orientation"
path = "tests/derive_orientation.rs"

[[test]]
name = "derive_position"
path = "tests/derive_position.rs"

[dependencies.arrayvec]
version = "0.7.6"
features = ["serde"]

[dependencies.hoomd-derive]
version = "1.2.0"

[dependencies.hoomd-geometry]
version = "1.2.0"

[dependencies.hoomd-gsd]
version = "1.2.0"

[dependencies.hoomd-manifold]
version = "1.2.0"

[dependencies.hoomd-rand]
version = "1.2.0"

[dependencies.hoomd-spatial]
version = "1.2.0"

[dependencies.hoomd-utility]
version = "1.2.0"

[dependencies.hoomd-vector]
version = "1.2.0"

[dependencies.rand]
version = "0.10.0"
features = [
    "std",
    "std_rng",
]
default-features = false

[dependencies.robust]
version = "1.2.0"

[dependencies.serde]
version = "1.0.228"
features = ["derive"]

[dependencies.thiserror]
version = "2.0.12"

[dev-dependencies.anyhow]
version = "1.0.100"

[dev-dependencies.approxim]
version = "0.6.6"

[dev-dependencies.divan]
version = "=0.1.21"

[dev-dependencies.hoomd-linear-algebra]
version = "1.2.0"

[dev-dependencies.itertools]
version = "0.15.0"

[dev-dependencies.log]
version = "0.4.28"

[dev-dependencies.rand]
version = "0.10.0"
features = [
    "std",
    "std_rng",
]
default-features = false

[dev-dependencies.rstest]
version = "=0.26.1"

[dev-dependencies.tempfile]
version = "=3.27.0"

[lints.clippy]
allow_attributes_without_reason = "warn"
cast_precision_loss = "allow"
exhaustive_enums = "warn"
fallible_impl_from = "warn"
float_cmp = "allow"
impl_trait_in_params = "warn"
inline_always = "allow"
missing_docs_in_private_items = "warn"
missing_inline_in_public_items = "warn"
multiple_crate_versions = "allow"
must_use_candidate = "allow"
needless_collect = "warn"
needless_pass_by_ref_mut = "warn"
panic = "warn"
partial_pub_fields = "warn"
print_stderr = "warn"
print_stdout = "warn"
redundant_type_annotations = "warn"
renamed_function_params = "warn"
same_name_method = "warn"
similar_names = "allow"
todo = "warn"
unwrap_used = "warn"

[lints.clippy.cargo]
level = "warn"
priority = -1

[lints.clippy.pedantic]
level = "warn"
priority = -1

[lints.rust]
missing_docs = "warn"
